<?php
    if ($_POST['producto'] !== "" && $_POST['categoria'] >= 0 && is_file('../../../usuarios/'.$_COOKIE['usuario'].'.txt') == true) {
        $productos = [];
        if($_SERVER['SERVER_NAME'] == 'host.ciberweb.com' && $_SERVER['HTTPS'] == 'on' && is_file('./listas/'.$_COOKIE['usuario'].'.txt') == true){
            $productos = json_decode(file_get_contents('./listas/'.$_COOKIE['usuario'].'.txt'), true);
        }
        $productos[] = [$_POST['producto'], 1, $_POST['categoria']];
        file_put_contents('./listas/'.$_COOKIE['usuario'].'.txt', json_encode($productos));
        echo array_key_last($productos);
    } else {
        echo -1;
    }
?>